The v1 API will be sunset on August 21, 2026. Migrate to v2. Read the migration guide →
Paytrie Developer Documentation
API ReferenceRegistration

Post Generate Api Link

View as Markdown
POST
/generateApiLink

Registers a user directly with a single call

Authorization

ApiKeyAuth
x-api-key<token>

API key

In: header

Header Parameters

x-api-key*string

API key for authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/generateApiLink" \  -H "x-api-key: string" \  -H "Content-Type: application/json" \  -d '{    "address1": "123 Main St",    "address2": "Apt 1",    "city": "New York",    "dob": "1990-01-01",    "email": "user@email.com",    "first_name": "John",    "last_name": "Doe",    "occupation": "Software Engineer",    "pep": "true",    "phone": "4161234567",    "postal": "m1b5g5",    "province": "on",    "tpd": "false"  }'
{  "message": "API user created",  "status": "success",  "verificationLink": "https://sumsub.com/verify"}
{  "message": "API key missing from request"}